package kr.co.vividnext.sodalive.explorer.profile.creator_community

import com.google.gson.annotations.SerializedName

data class GetCommunityPostListResponse(
    @SerializedName("postId") val postId: Long,
    @SerializedName("creatorId") val creatorId: Long,
    @SerializedName("creatorNickname") val creatorNickname: String,
    @SerializedName("creatorProfileUrl") val creatorProfileUrl: String,
    @SerializedName("imageUrl") val imageUrl: String?,
    @SerializedName("content") val content: String,
    @SerializedName("date") val date: String,
    @SerializedName("isCommentAvailable") val isCommentAvailable: Boolean,
    @SerializedName("isAdult") val isAdult: Boolean,
    @SerializedName("isLike") var isLike: Boolean,
    @SerializedName("likeCount") val likeCount: Int,
    @SerializedName("commentCount") val commentCount: Int,
    @SerializedName("firstComment") val firstComment: GetCommunityPostCommentListItem?,
    @SerializedName("isExpand") var isExpand: Boolean = false
)
